
Figure - Bug #117881
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】当存在多个小窗时，finish当前小窗，上一个小窗会显示
2023-05-11 16:44 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-11

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 和PM沟通后,保持现状.按照目前小窗的方案来讲,这是个正常的逻辑

Description

【前提条件】

1、设备与中控连接

【测试步骤】

1、打开一应用小窗

2、在通知中心中点击另一强制小窗的通知

3、关闭步骤中的小窗

【预期结果】

3、桌面上没有小窗显示

【实际结果】

3、步骤一中的小窗会显示

History

#1 - 2023-05-11 19:37 - CD FW-鲁凯峰

由于启动新的小窗不会把之前的小窗杀掉,所以之前的小窗一直处于后台

当新的小窗被杀死后,由于当前focus的task发生变化,之前的小窗会重新获取焦点,从而显示出来

#2 - 2023-05-13 18:20 - CD FW-鲁凯峰

目前有个解决方案,还需要需求PM再次讨论

1. 当用户点击小窗上的X按钮的时候,我理解用户是想删除小窗的,而用户看到的始终都只有1个小窗,所有当用户删除小窗后,会认为当前是没有小窗存在的,

所以我想在这个时候把后台所有的小窗任务都干掉

2. 当用户点击返回键的时候 我理解用户的意思是要返回到上一个小窗界面,这个时候是可以显示上一个小窗界面的

#3 - 2023-05-15 20:20 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红
- Resolution changed from -- to WONTFIX

- Root cause set to 和PM沟通后,保持现状.按照目前小窗的方案来讲,这是个正常的逻辑

和PM沟通后,保持现状.按照目前小窗的方案来讲,这是个正常的逻辑

由于启动新的小窗不会把之前的小窗杀掉,所以之前的小窗一直处于后台

当新的小窗被杀死后,由于当前focus的task发生变化,之前的小窗会重新获取焦点,从而显示出来

#4 - 2023-05-16 14:10 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

5.16

确认不做修改

#5 - 2023-05-16 14:11 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
